Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
SolidSet Class Reference
Inheritance diagram for SolidSet:

## Public Member Functions
| SolidSet (Simul &s)
| creator
virtual | ~SolidSet ()
| destructor
std::string | kind () const
| identifies the class
Property * | newProperty (const std::string &kind, const std::string &name, Glossary &) const
| create a new property for class kind with given name
Object * | newObject (const std::string &kind, const std::string &prop, Glossary &opt)
| create a new object from the corresponding property More...
ObjectList | newObjects (const std::string &kind, const std::string &prop, Glossary &)
| create a new object directly from a glossary
Object * | newObjectT (const Tag tag, int prop_index)
| construct object
void | add (Object *)
| register a Solid into the list
void | remove (Object *)
| remove from the list
void | erase ()
| erase all Object and all Property
Solid * | first () const
| first Solid
Solid * | find (Number n) const
| return pointer to the Object of given Number, or zero if not found
void | foldPosition (const Modulo *) const
| modulo the position (periodic boundary conditions)
void | step ()
| Monte-Carlo simulation step for every Object.
Public Member Functions inherited from ObjectSet
virtual void | freeze ()
| transfer all nodes to list ice
virtual void | thaw (bool erase)
| erase objects, or put them back in normal list
| ObjectSet (Simul &s)
| creator
virtual | ~ObjectSet ()
| destructor
virtual ObjectList | newPlacedObjects (const std::string &kind, const std::string &name, Glossary &opt)
| create new objects, translate and rotate them according to specifications in opt More...
void | add (ObjectList &)
| remove Object in ObjectList
void | remove (ObjectList &)
| remove Object in ObjectList
virtual void | relink (Object *)
| unlink and relink object. This places it last in the list More...
void | erase (Object *)
| remove Object, and delete it
virtual unsigned | size () const
| number of elements
virtual void | mix ()
| mix the order of elements in the doubly linked list nodes
Object * | first () const
| first Object in the list
Object * | first (const Property *) const
| return an Object which has this property More...
Object * | last () const
| last Object
Object * | find (const Number n) const
| find Object of given serial-number (see Inventoried)
Object * | findObject (long n) const
| return Object with serial-number if ( n > 0 ) or object from the end of the list if ( n <= 0 ) More...
virtual ObjectList | collect (bool(*func)(Object const *, void *), void *) const
| collect Object for which func(obj, val) == true
void | readObject (InputWrapper &, Tag, char pretag)
| read one Object from file More...
virtual void | write (OutputWrapper &out) const
| write all Objects to file

## Additional Inherited Members
Static Public Member Functions inherited from ObjectSet
static void | translateObjects (ObjectList const &, Vector const &)
| apply translation to all Objects in ObjectList More...
static void | rotateObjects (ObjectList const &, Rotation const &)
| apply rotation to all Objects in ObjectList More...
Public Attributes inherited from ObjectSet
Inventory | inventory
| holds pointers to the Objects in a array of Numbers
NodeList | nodes
| holds pointers to the Objects in a doubly linked list
Simul & | simul
| the Simul containing this ObjectSet
Protected Member Functions inherited from ObjectSet
void | forget (NodeList &)
| remove all nodes in the list from the inventory
virtual void | link (Object *)
| link the object last in the list More...
Static Protected Member Functions inherited from ObjectSet
static ObjectList | collect (const NodeList &, bool(*func)(Object const *, void *), void *)
| collect Object from NodeList for which func(obj, val) == true
static void | write (const NodeList &, OutputWrapper &)
| write Object in NodeList to file More...
static Vector | placeObjects (ObjectList const &, Glossary &opt, const Space *)
| place all Objects in ObjectList using the same combinations of translation/rotation More...
Protected Attributes inherited from ObjectSet
NodeList | ice
| a list used to store the objects temporarily while a state is imported

## Member Function Documentation

Object * newObject | ( | const std::string & | kd,
|  | const std::string & | nm,
|  | Glossary & | opt
| ) |  |
| virtual

Please, see Solid::build

Implements ObjectSet.